Comment 2 for bug 876677

Gary Lasker (gary-lasker) wrote :

Hi mpt, I seem to be able to install Chrome with the latest version of Ubuntu Software Center in Precise. Please try again and let us know if you are still getting this error.

Thanks!